<?
include_once("../../../cisweb_manual/valida_sessao.php");
protegePagina(); 
include_once("../../../cisweb_manual/CisManual/adm_head.php");

include("../../../cisweb_manual/CisManual/config.php");
include("../../../cisweb_manual/CisManual/utf8.php");

$id = $_GET['id'];

$sql = "SELECT * FROM paginas INNER JOIN templates ON T_ID = P_T_ID WHERE P_ID = $id";
$consulta = mysql_query($sql, $conn);
$registro = mysql_fetch_array($consulta);

$sql_revisao = "SELECT *, date_format(OB_DATA, '%d/%m/%Y - %H:%i') as data, date_format(OB_ALT_DATA, '%d/%m/%Y - %H:%i') as data_autor FROM observacoes WHERE OB_P_ID = $id ORDER by OB_DATA DESC LIMIT 1";
$consulta_revisao = mysql_query($sql_revisao,$conn);
$registro_revisao = mysql_fetch_array($consulta_revisao);

$caminho = "../".$registro['P_ARQUIVO'];

$arquivo  = str_replace(".php","",$registro['P_ARQUIVO']);

$conteudo = stripslashes(str_replace("´","'",$registro['T_TEXTO']));
$conteudo = str_replace("<#id#>",$registro['P_ID'],$conteudo);
$conteudo = str_replace("<#cod#>",$arquivo,$conteudo);
$conteudo = str_replace("<#titulo#>",$registro['P_NOME'],$conteudo);
$conteudo = str_replace("<#sub-titulo#>",$registro['P_TITULO'],$conteudo);
$conteudo = str_replace("<#texto#>",$registro['P_TEXTO'],$conteudo);
$conteudo = str_replace("<#data_alteracao#>",$registro_revisao['data_autor'],$conteudo);
$conteudo = str_replace("<#autor_alteracao#>",$registro_revisao['OB_ALT_AUTOR'],$conteudo);
$conteudo = str_replace("<#data_aprovacao#>",$registro_revisao['data'],$conteudo);
$conteudo = str_replace("<#autor_aprovacao#>",$registro_revisao['OB_AUTOR'],$conteudo);

$fp = fopen($caminho, "w");
$res = fwrite($fp, $conteudo , strlen($conteudo));
fclose($fp);

echo "<div id='conteudo'>";

if($res){
	$local = "adm_pagina.php?id=".$id."&alterado=1";
   	echo "<script>location.href='$local';</script>";	
}else{
	$local = "adm_pagina.php?id=".$id."&alterado=0";
   	echo "<script>location.href='$local';</script>";
}

echo "</div>";

include_once("../../../cisweb_manual/CisManual/adm_foot.php");
?>